LibreOffice: cppu::ImplHelper3< Ifc1, Ifc2, Ifc3 > Class Template Reference

LibreOffice LibreOffice 25.2 SDK C/C++ API Reference |

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | List of all members
cppu::ImplHelper3< Ifc1, Ifc2, Ifc3 > Class Template Reference

Implementation helper implementing interface css::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting. More...

`#include <implbase3.hxx>`

Inheritance diagram for cppu::ImplHelper3< Ifc1, Ifc2, Ifc3 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE

## Protected Member Functions
| ~ImplHelper3 () SAL_NOEXCEPT

## Detailed Description

template<class Ifc1, class Ifc2, class Ifc3>
class cppu::ImplHelper3< Ifc1, Ifc2, Ifc3 >

Implementation helper implementing interface css::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting.

Derive:
  Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s) including acquire()/ release() and delegates incoming queryInterface() calls to this base class.

## Constructor & Destructor Documentation

## ◆ ~ImplHelper3()

template<class Ifc1, class Ifc2, class Ifc3>

cppu::ImplHelper3< Ifc1, Ifc2, Ifc3 >::~ImplHelper3 | ( |  | ) |
| inlineprotected

## Member Function Documentation

## ◆ getImplementationId()

template<class Ifc1, class Ifc2, class Ifc3>

virtual css::uno::Sequence< sal_Int8 > cppu::ImplHelper3< Ifc1, Ifc2, Ifc3 >::getImplementationId | ( |  | ) |
| inlinevirtual

## ◆ getTypes()

template<class Ifc1, class Ifc2, class Ifc3>

virtual css::uno::Sequence< css::uno::Type > cppu::ImplHelper3< Ifc1, Ifc2, Ifc3 >::getTypes | ( |  | ) |
| inlinevirtual

## ◆ queryInterface()

template<class Ifc1, class Ifc2, class Ifc3>

virtual css::uno::Any cppu::ImplHelper3< Ifc1, Ifc2, Ifc3 >::queryInterface | ( | css::uno::Type const & | rType | ) |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/implbase3.hxx